%define src_ver .12.2
%define major  4
# (gb) 0.12.2-2mdk: don't run libtoolize because it might mess up ltmain.sh
# that is newer in this package (pattern for tag template selection changed)
%define __libtoolize :

Summary:       Portable Spell Checker Interface Library
Name:          pspell
Version:       0%{src_ver}
Release:       7mdk
Group:         System/Libraries
Source0:       http://download.sourceforge.net/%{name}/%{name}-%{src_ver}.tar.bz2
URL:           http://pspell.sourceforge.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
License:       GPL
BuildRequires: libstdc++-devel libltdl3-devel

%description
The goal of the Portable Spell Checker Interface Library (Pspell) is to provide
a generic interface to Spell checker libraries installed on the system.

%package -n	lib%{name}%{major}
Summary:       %{summary}
Group:         %{group}
Requires:	   %{name} >= %{version}

%description -n lib%{name}%{major}
The goal of the Portable Spell Checker Interface Library (Pspell) is to provide
a generic interface to Spell checker libraries installed on the system.

%package -n lib%{name}%{major}-devel
Summary:       Libraries, includes, and other files needed to build applications with pspell
Group:         Development/Other
Requires:      lib%{name}%{major} = %{version}
Provides:      lib%{name}-devel = %{version}

%description -n lib%{name}%{major}-devel
Libraries, includes, and other files needed to build applications with pspell.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{src_ver}

%build

%configure --enable-ltdl

%make 

%install
rm -rf $RPM_BUILD_ROOT

# don't use makeinstall macro (broken)
make DESTDIR=$RPM_BUILD_ROOT pkgdocdir=%{_docdir}/%{name} install

# Remove some buildroot favored pspell.
perl -pi -e 's/$RPM_BUILD_ROOT//g' $RPM_BUILD_ROOT%_libdir/*.la
perl -pi -e 's/-L$RPM_BUILD_ROOT.*?\.libs//g' $RPM_BUILD_ROOT%_libdir/*.la

mkdir -p docdir
cd docdir
cp -var $RPM_BUILD_ROOT%{_docdir}/%{name} .
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig -n lib%{name}%{major}
%postun -p /sbin/ldconfig -n lib%{name}%{major}

%files 
%defattr(-,root,root)
%doc README README-CVS docdir/pspell/*
%{_datadir}/pspell

%files  -n	lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_includedir}/pspell
%{_bindir}/pspell-config

%changelog
* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0%{src_ver}-7mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0%{src_ver}-6mdk
- Automated rebuild with gcc3.2

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0%{src_ver}-5mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.2-4mdk
- Fix BuildRequires

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.2-3mdk
- Bring back to live pspell package
- Rename pspell dictionnary directory to /usr/share/pspell, it should not have been
libified..

* Fri Aug  3 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> .12.2-2mdk
- Don't run libtoolize since it might mess up local files

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> .12.2-1mdk
- Release .12.2
- Remove patch0
- clean specfile

* Sat Jul 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> .12.2-6mdk
- Fix bootstrapping problem with pspell (libtool sux).

* Sat May 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> .12.1-5mdk
- Remove the Pablo-flavored pspell.
- Fix wrong RPM versioning.
- --short-circuit compliant.

* Fri May 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> .12.1-3mdk
- rebuild again, for new libtool

* Fri May 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> .12.1-2mdk
- rebuild again, it included wrong dependencies

* Fri May 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> .12.1-1mdk
- rebuild to match new libs in cooker; updated to latest version at same time

* Sat Apr  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> .11.2-9mdk
- Place Obsolete and Provides in correct package

* Mon Jan 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> .11.2-8mdk
- Rebuild sound fix aspell.

* Wed Dec 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.11.2-7mdk
- more docs.
- rebuild against newer libltdl
- use CXXFLAGS to include RPM_OPT_FLAGS, ie. our optimizations

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-6mdk
- Rename source package to keep version history in CVS, only lib packages should be renamed

* Tue Nov  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-5mdk
- Remove dependency on aspell !!

* Mon Nov  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-4mdk
- Rebuild with new libstdc++
- Rename for new libraries package

* Mon Oct 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11.2-3mdk
- Rebuild for gcc2.96.

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.2-2mdk
- rebuild in order to link against current libaspell

* Fri Aug 25 2000 Troels Liebe Bentsen 0.11.2-1mdk
- Updated to new version, and added manual without makefiles.

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1 (merged from helix 0_helix_8)
- BM + macroszification
- clean specfile

* Wed Apr 05 2000 Daouda Lo <daouda@mandrakesoft.com> .10-1mdk
- first Mandrake build.
- located in Office (any suggestion???).
- cleanup spec.


